edu.ucsb.nceas.metacat.advancedsearch

## Class AdvancedSearchBean

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.AdvancedSearchBean

- All Implemented Interfaces:
    java.io.Serializable

      public class AdvancedSearchBean
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    dcosta The AdvancedSearchBean class stores query properties and values for conducting an advanced Metacat search.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTAINS`
    `static int` | `ENDS_WITH`
    `static int` | `EXACT_MATCH`
    `static int` | `MATCH_ALL`
    `static int` | `MATCH_ANY`
    `static int` | `STARTS_WITH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedSearchBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCreatorOrganization()`
    `int` | `getCreatorOrganizationQueryType()`
    `java.lang.String` | `getCreatorSurname()`
    `int` | `getCreatorSurnameQueryType()`
    `java.lang.String` | `getDateField()`
    `java.lang.String` | `getEastBound()`
    `java.lang.String` | `getEndDate()`
    `int` | `getFormAllAny()`
    `java.lang.String` | `getLocationName()`
    `java.lang.String` | `getNamedTimescale()`
    `int` | `getNamedTimescaleQueryType()`
    `java.lang.String` | `getNorthBound()`
    `java.lang.String` | `getSiteValue()`
    `java.lang.String` | `getSouthBound()`
    `java.lang.String` | `getStartDate()`
    `int` | `getSubjectAllAny()`
    `java.lang.String` | `getSubjectField()`
    `int` | `getSubjectQueryType()`
    `java.lang.String` | `getSubjectValue()`
    `java.lang.String` | `getTaxon()`
    `int` | `getTaxonQueryType()`
    `java.lang.String` | `getWestBound()`
    `boolean` | `isBoundaryContained()`
    `boolean` | `isCaseSensitive()`
    `boolean` | `isEmpty(java.lang.String s)` Boolean to determine whether a string is empty.
    `boolean` | `isLimitedByBoundaries()`
    `boolean` | `isLimitedByDate()`
    `void` | `setBoundaryContained(boolean boundaryContained)`
    `void` | `setCaseSensitive(boolean caseSensitive)`
    `void` | `setCreatorOrganization(java.lang.String creatorField)`
    `void` | `setCreatorOrganizationQueryType(int creatorConditionType)`
    `void` | `setCreatorSurname(java.lang.String creatorValue)`
    `void` | `setCreatorSurnameQueryType(int creatorSurnameQueryType)`
    `void` | `setDateField(java.lang.String dateField)`
    `void` | `setEastBound(java.lang.String eastBound)`
    `void` | `setEndDate(java.lang.String endDate)`
    `void` | `setFormAllAny(int allAny)`
    `void` | `setLocationName(java.lang.String locationName)`
    `void` | `setNamedTimescale(java.lang.String namedTimescale)`
    `void` | `setNamedTimescaleQueryType(int namedTimescaleQueryType)`
    `void` | `setNorthBound(java.lang.String northBound)`
    `void` | `setSiteValue(java.lang.String siteValue)`
    `void` | `setSouthBound(java.lang.String southBound)`
    `void` | `setStartDate(java.lang.String startDate)`
    `void` | `setSubjectAllAny(int allAny)` Sets the subjectAllAny value.
    `void` | `setSubjectField(java.lang.String subjectField)`
    `void` | `setSubjectQueryType(int subjectQueryType)`
    `void` | `setSubjectValue(java.lang.String subjectValue)`
    `void` | `setTaxon(java.lang.String taxon)`
    `void` | `setTaxonQueryType(int taxonQueryType)`
    `void` | `setWestBound(java.lang.String westBound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTAINS

          public static final int CONTAINS

      See Also:
        Constant Field Values

    - #### EXACT_MATCH

          public static final int EXACT_MATCH

      See Also:
        Constant Field Values

    - #### STARTS_WITH

          public static final int STARTS_WITH

      See Also:
        Constant Field Values

    - #### ENDS_WITH

          public static final int ENDS_WITH

      See Also:
        Constant Field Values

    - #### MATCH_ALL

          public static final int MATCH_ALL

      See Also:
        Constant Field Values

    - #### MATCH_ANY

          public static final int MATCH_ANY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AdvancedSearchBean

          public AdvancedSearchBean()

  - ### Method Detail

    - #### getCreatorOrganization

          public java.lang.String getCreatorOrganization()

      Returns:
        Returns the creatorOrganization.

    - #### getCreatorOrganizationQueryType

          public int getCreatorOrganizationQueryType()

      Returns:
        Returns the creatorOrganizationQueryType.

    - #### getCreatorSurname

          public java.lang.String getCreatorSurname()

      Returns:
        Returns the creatorSurname.

    - #### getCreatorSurnameQueryType

          public int getCreatorSurnameQueryType()

      Returns:
        Returns the creatorSurnameQueryType.

    - #### getDateField

          public java.lang.String getDateField()

      Returns:
        Returns the dateField. Possible values: "PUBLICATION", "COLLECTION"

    - #### getEastBound

          public java.lang.String getEastBound()

      Returns:
        Returns the eastBound.

    - #### getEndDate

          public java.lang.String getEndDate()

      Returns:
        Returns the endDate.

    - #### getFormAllAny

          public int getFormAllAny()

      Returns:
        Returns the formAllAny value. Possible values are 0 or 1.

    - #### getLocationName

          public java.lang.String getLocationName()

      Returns:
        Returns the locationName.

    - #### getNamedTimescale

          public java.lang.String getNamedTimescale()

      Returns:
        Returns the namedTimescale.

    - #### getNamedTimescaleQueryType

          public int getNamedTimescaleQueryType()

      Returns:
        Returns the namedTimescaleQueryType.

    - #### getNorthBound

          public java.lang.String getNorthBound()

      Returns:
        Returns the northBound.

    - #### getSiteValue

          public java.lang.String getSiteValue()

      Returns:
        Returns the siteValue string.

    - #### getSouthBound

          public java.lang.String getSouthBound()

      Returns:
        Returns the southBound.

    - #### getStartDate

          public java.lang.String getStartDate()

      Returns:
        Returns the startDate.

    - #### getSubjectAllAny

          public int getSubjectAllAny()

      Returns:
        Returns the subjectAllAny value. Possible values are 0 or 1.

    - #### getSubjectField

          public java.lang.String getSubjectField()

      Returns:
        Returns the subjectField. Possible values are: "ALL", "TITLE", "ABSTRACT", "KEYWORD"

    - #### getSubjectQueryType

          public int getSubjectQueryType()

      Returns:
        Returns the subjectQueryType. Possible values are: 0 (contains), 1 (exact match), 2 (starts with), 3 (ends with).

    - #### getSubjectValue

          public java.lang.String getSubjectValue()

      Returns:
        Returns the subjectValue.

    - #### getTaxon

          public java.lang.String getTaxon()

      Returns:
        Returns the taxon.

    - #### getTaxonQueryType

          public int getTaxonQueryType()

      Returns:
        Returns the taxonConditonType.

    - #### getWestBound

          public java.lang.String getWestBound()

      Returns:
        Returns the westBound.

    - #### isBoundaryContained

          public boolean isBoundaryContained()

      Returns:
        Returns the boundaryContained value.

    - #### isCaseSensitive

          public boolean isCaseSensitive()

      Returns:
        Returns the caseSensitive value;

    - #### isEmpty

          public boolean isEmpty(java.lang.String s)

      Boolean to determine whether a string is empty. A string is considered to be empty if its value is either null or "".
      Parameters:
        `s` - the string to check
      Returns:
        true if the string is empty, else false.

    - #### isLimitedByBoundaries

          public boolean isLimitedByBoundaries()

      Returns:
        Returns the limitedByBoundaries.

    - #### isLimitedByDate

          public boolean isLimitedByDate()

      Returns:
        Returns the limitedByDate.

    - #### setBoundaryContained

          public void setBoundaryContained(boolean boundaryContained)

      Parameters:
        `boundaryContained` - The boundaryContained value to set.

    - #### setCaseSensitive

          public void setCaseSensitive(boolean caseSensitive)

      Parameters:
        `caseSensitive` - The caseSensitive value to set.

    - #### setCreatorOrganization

          public void setCreatorOrganization(java.lang.String creatorField)

      Parameters:
        `creatorOrganization` - The creatorOrganization to set.

    - #### setCreatorOrganizationQueryType

          public void setCreatorOrganizationQueryType(int creatorConditionType)

      Parameters:
        `creatorOrganizationQueryType` - The creatorOrganizationQueryType to set

    - #### setCreatorSurname

          public void setCreatorSurname(java.lang.String creatorValue)

      Parameters:
        `creatorSurname` - The creatorSurname to set.

    - #### setCreatorSurnameQueryType

          public void setCreatorSurnameQueryType(int creatorSurnameQueryType)

      Parameters:
        `creatorSurnameQueryType` - The creatorSurnameQueryType to set.

    - #### setDateField

          public void setDateField(java.lang.String dateField)

      Parameters:
        `dateField` - The dateField to set.

    - #### setEastBound

          public void setEastBound(java.lang.String eastBound)

      Parameters:
        `eastBound` - The eastBound to set.

    - #### setEndDate

          public void setEndDate(java.lang.String endDate)

      Parameters:
        `endDate` - The endDate to set.

    - #### setFormAllAny

          public void setFormAllAny(int allAny)

    - #### setLocationName

          public void setLocationName(java.lang.String locationName)

      Parameters:
        `locationName` - The locationName to set.

    - #### setNamedTimescale

          public void setNamedTimescale(java.lang.String namedTimescale)

      Parameters:
        `namedTimescale` - The namedTimescale to set.

    - #### setNamedTimescaleQueryType

          public void setNamedTimescaleQueryType(int namedTimescaleQueryType)

      Parameters:
        `namedTimescaleQueryType` - The namedTimescaleQueryType to set.

    - #### setNorthBound

          public void setNorthBound(java.lang.String northBound)

      Parameters:
        `northBound` - The northBound to set.

    - #### setSiteValue

          public void setSiteValue(java.lang.String siteValue)

      Parameters:
        `siteValue` - the siteValue to set.

    - #### setSouthBound

          public void setSouthBound(java.lang.String southBound)

      Parameters:
        `southBound` - The southBound to set.

    - #### setStartDate

          public void setStartDate(java.lang.String startDate)

      Parameters:
        `startDate` - The startDate to set.

    - #### setSubjectAllAny

          public void setSubjectAllAny(int allAny)

      Sets the subjectAllAny value.
      Parameters:
        `allAny` - Possible values are MATCH_ALL (0) or MATCH_ANY (1).

    - #### setSubjectField

          public void setSubjectField(java.lang.String subjectField)

      Parameters:
        `subjectField` - The subjectField to set.

    - #### setSubjectQueryType

          public void setSubjectQueryType(int subjectQueryType)

      Parameters:
        `subjectQueryType` - The subjectQueryType to set. Possible values are: 0 (contains), 1 (exact match), 2 (starts with), 3 (ends with).

    - #### setSubjectValue

          public void setSubjectValue(java.lang.String subjectValue)

      Parameters:
        `subjectValue` - The subjectValue to set.

    - #### setTaxon

          public void setTaxon(java.lang.String taxon)

      Parameters:
        `taxon` - The taxon to set.

    - #### setTaxonQueryType

          public void setTaxonQueryType(int taxonQueryType)

      Parameters:
        `taxonQueryType` - The taxonQueryType to set.

    - #### setWestBound

          public void setWestBound(java.lang.String westBound)

      Parameters:
        `westBound` - The westBound to set.

Copyright © 2020 Regents of the University of California. All Rights Reserved.